<?php
namespace nur\v;

use nur\v\base\TPlugin;
use nur\v\model\IPlugin;

class BasePlugin implements IPlugin {
  use TPlugin;

  const CSS = null;
  const JS = null;

  const HAVE_JQUERY = false;
  function haveJquery(): bool {
    return static::HAVE_JQUERY;
  }
  function printJquery(): void {
    ?>
<script type="text/javascript">
jQuery.noConflict()(function($) {
});
</script>
<?php
  }

  const HAVE_SCRIPT = false;
  function haveScript(): bool {
    return static::HAVE_SCRIPT;
  }
  function printScript(): void {
    ?>
<script type="text/javascript">
</script>
<?php
  }
}
